> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Used to give admin privileges.

> The first value of the roles array should be 'admin' followed by other permissions (view, operation, settings)



## OpenAPI

````yaml post /user/admin
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /user/admin:
    post:
      tags:
        - User
      summary: Used to give admin privileges.
      description: >-
        The first value of the roles array should be 'admin' followed by other
        permissions (view, operation, settings)
      operationId: post-user-admin
      requestBody:
        content:
          application/json:
            schema:
              example:
                email: ''
                fullname: ''
                roles: {}
                username: ''
              properties:
                email:
                  type: string
                fullname:
                  description: fullname should be between 2 to 100 characters long
                  type: string
                roles:
                  description: >-
                    should be admin followed by any of view, operation or
                    settings
                  items:
                    type: string
                  type: array
                username:
                  description: >-
                    username should be alphanumeric, lowercase and between 2 to
                    40 characters long
                  type: string
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  message: success
                properties:
                  message:
                    type: string
                type: object
          description: post user admin ok
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````